
Application: gvSIG desktop - gvSIG bugs #4110
gvSIG.sh create a "]" folder in C:\
02/17/2016 11:44 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.3.0-2424 (rev. org.gvsig.desktop-2.0.130)
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2423 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Yes Hito:
Add-on name: Unknown
Description

Executing build 2423 on Windows a C:\] folder is created. There's a typo (a square bracket) in the new xmkdir() function (gvSIG.sh,
row 82) just introduced. See the patch in attachment.

Associated revisions
Revision 42738 - 02/20/2016 07:27 PM - Joaquín  del Cerro Murciano

refs #4110, corregida la llamada al mkdir en el "if" (se habia colado un ] al final)

History
#1 - 02/17/2016 03:35 PM - Antonio Falciano

Warning: Applying the patch in attachment solves the issue in subject, but also produces a side effect. The system PATH env var is temporarily
overwritten after the execution of gvSIG and it can be recovered only restarting Windows.

#2 - 02/20/2016 07:29 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2424 (rev. org.gvsig.desktop-2.0.130)
- Status changed from New to Fixed

#3 - 02/20/2016 07:33 PM - Joaquín  del Cerro Murciano

Antonio Falciano wrote:

Warning: Applying the patch in attachment solves the issue in subject, but also produces a side effect. The system PATH env var is temporarily
overwritten after the execution of gvSIG and it can be recovered only restarting Windows.

No creo que el problema con el PATH tenga que ver con el parche ni con el mkdir.
O no he entendido bien lo que quieres decir o no lo he reproducido.
Si te pasa algo raro con el PATH casi mejor que lo des de alta en otro ticket.

Yo he probado ha hacer:
c:\devel\apps\gvSIG-desktop\2.3.0-2422>echo %PATH%
C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\

c:\devel\apps\gvSIG-desktop\2.3.0-24
erShell\v1.0\

c:\devel\apps\gvSIG-desktop\2.3.0-2422>gvsig-desktop.cmd 
INFO launch gvSIG Installation folder: c:/devel/apps/gvSIG-desktop/2.3.0-2422
INFO launch gvSIG home folder: C:/Users/usuario/gvSIG
INFO launch Using java  C:/ProgramData/Oracle/Java/javapath/java
INFO launch Running autorun from plugin  org.gvsig.gdal.app.mainplugin
INFO launch Using gdal from release-1800-x64-gdal-1-11-3-mapserver-6-4-2

...

 INFO [AWT-EventQueue-0] (Launcher.java:1505) - PostInitializing org.gvsig.view3d.app.mainplugin.FullScreenView3DExtension...
 WARN [main] (MultiSplashWindow.java:205) - Max value of launch progress can be set to 384
 INFO [main] (DefaultPluginsManager.java:308) - Executing startup tasks.
 INFO [AWT-EventQueue-0] (DefaultPluginsManager.java:106) - Running startup task 'RegisterDropFilesOnTheView' (priority 1000).
 INFO [AWT-EventQueue-0] (DefaultPluginsManager.java:109) - Terminated startup task 'RegisterDropFilesOnTheView'.
 INFO [AWT-EventQueue-0] (DefaultPluginsManager.java:106) - Running startup task 'ExecuteAutorunScripts' (priority 600).
 INFO [AWT-EventQueue-0] (DefaultPluginsManager.java:109) - Terminated startup task 'ExecuteAutorunScripts'.
 INFO [AWT-EventQueue-0] (DefaultPluginsManager.java:106) - Running startup task 'InitializeSextanteGUI' (priority 400).
 INFO [Thread-10] (ScriptingExtension.java:313) - Running autorun scripts terminated.
 INFO [AWT-EventQueue-0] (DefaultPluginsManager.java:109) - Terminated startup task 'InitializeSextanteGUI'.
 INFO [AWT-EventQueue-0] (DefaultPluginsManager.java:106) - Running startup task 'CheckOsAndArquitectre' (priority 100).
 INFO [AWT-EventQueue-0] (DefaultPluginsManager.java:109) - Terminated startup task 'CheckOsAndArquitectre'.
 INFO [AWT-EventQueue-0] (DefaultPluginsManager.java:327) - Executing shutdown tasks.
 INFO [AWT-EventQueue-0] (Launcher.java:3338) - Quiting application.

c:\devel\apps\gvSIG-desktop\2.3.0-2422>echo %PATH%
C:\ProgramData\Oracle\Java\javapath;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\

c:\devel\apps\gvSIG-desktop\2.3.0-2422>


erShell\v1.0\

c:\devel\apps\gvSIG-desktop\2.3.0-2422>

Y el PATH se ha mantenido al final de la ejecucion igual que estaba antes de ella.

#4 - 02/22/2016 09:28 AM - Antonio Falciano
- Status changed from Fixed to Closed

Hi Joaquín,
the side effect doesn't happen anymore in build 2424... Mystery of MS! ;-)

#5 - 02/25/2016 04:52 PM - Antonio Falciano

Only for future reference, I've discovered why the PATH issue happened. It doesn't depend by gvSIG, but the maximum length of PATH env var that
was reached. Here's an useful article about this limitation: https://software.intel.com/en-us/articles/limitation-to-the-length-of-the-system-path-variable
Sorry for the waste of time.
Files
gvsigsh_square_bracket.patch 857 Bytes 02/17/2016 Antonio Falciano
